Package com.ngrok.definitions

# Class ReservedDomainCertStatus

java.lang.Object
com.ngrok.definitions.ReservedDomainCertStatus

public class ReservedDomainCertStatus extends Object
A class encapsulating the `ReservedDomainCertStatus` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservedDomainCertStatus(Optional<OffsetDateTime> renewsAt, Optional<ReservedDomainCertJob> provisioningJob)`
  Creates a new instance of `ReservedDomainCertStatus`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<ReservedDomainCertJob>`
  `getProvisioningJob()`
  status of the certificate provisioning job, or null if the certificiate isn't being provisioned or renewed
  `Optional<OffsetDateTime>`
  `getRenewsAt()`
  timestamp when the next renewal will be requested, RFC 3339 format
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReservedDomainCertStatus

    public ReservedDomainCertStatus(Optional<OffsetDateTime> renewsAt, Optional<ReservedDomainCertJob> provisioningJob)
    Creates a new instance of `ReservedDomainCertStatus`.
    Parameters:
      `renewsAt` - timestamp when the next renewal will be requested, RFC 3339 format
      `provisioningJob` - status of the certificate provisioning job, or null if the certificiate isn't being provisioned or renewed

- ## Method Details

  - ### getRenewsAt

    public Optional<OffsetDateTime> getRenewsAt()
    timestamp when the next renewal will be requested, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime` wrapped in an `Optional`

  - ### getProvisioningJob

    public Optional<ReservedDomainCertJob> getProvisioningJob()
    status of the certificate provisioning job, or null if the certificiate isn't being provisioned or renewed
    Returns:
      the value of the property as a `ReservedDomainCertJob` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`